<app-header-upwards></app-header-upwards>

<div class="container-flex">
  <div class="card">
    <mat-tab-group>
      <mat-tab label="All">
        <app-mail-label-table [label]=""></app-mail-label-table>
      </mat-tab>

      <mat-tab label="bar graph">
        <!-- <ng-template matTabContent> -->
        <div class="container">
          <app-history-bar-graph></app-history-bar-graph>
        </div>
        <!-- </ng-template> -->
      </mat-tab>

      <mat-tab label="pie chart">
        <!-- <ng-template matTabContent> -->
        <div class="container">
          <app-history-pie-graph
            [labels]="labels"
            *ngIf="labels.length"
          ></app-history-pie-graph>
        </div>
        <!-- </ng-template> -->
      </mat-tab>

      <mat-tab *ngFor="let item of labels" label="{{ item.name }}">
        <ng-template matTabContent>
          <app-mail-label-table [label]="item?.name"></app-mail-label-table>
        </ng-template>
      </mat-tab>
    </mat-tab-group>
  </div>
</div>
